Get rates

GET/api/v2/orders/{order_id}/rates

Retrieves all rates for all shipments in order.

Authorization

Add HTTP header Authorization with the received API key as the bearer token:

Authorization
API Key

Parameters

URL parameters

PropertyTypeDescription
order_id
string

Order ID

Unique identifier for order.

uuid
preferred_service_level
string

What preferred service level to use for tagging

Preferred service level of shipment. Indicates what carrier, service and/or tags may be used for the booking process.

^[a-zA-Z_]+\:[a-zA-Z0-9_-]+$
length 3...80

Response

Response body

Content-Type
application/json
Body
PropertyTypeDescription
order_rates
object
required
order_id
string
Unique identifier for order.
required
uuid
shipment_rates
required

Response body example

JSON
{
  "order_rates": {
    "order_id": "4a2a1a78-6b9a-43af-887e-2adc7d415e7a",
    "shipment_rates": [
      {
        "rates": [
          {
            "carrier_code": "POST_NL",
            "carrier_name": "PostNL",
            "carrier_product_code": "POSTNL_BRIEVENBUSPAKKET",
            "carrier_product_description": "Pakket tot 20 gram in brievenbus",
            "price": 250,
            "receiver_type": "consumer",
            "sender_type": "business",
            "tags": [
              "preferred",
              "fastest",
              "cheapest"
            ]
          }
        ],
        "shipment_id": "57168dba-c987-4755-9c3b-6c5d86825e75",
        "unqualified_rates": [
          {
            "carrier_code": "POST_NL",
            "carrier_name": "PostNL",
            "carrier_product_code": "POSTNL_BRIEVENBUSPAKKET",
            "carrier_product_description": "Pakket tot 20 gram in brievenbus"
          }
        ]
      }
    ]
  }
}